@charset "UTF-8";
#main .post-meta {
  margin-bottom: 1rem;
}
#main .post-content {
  margin-top: 1em;
  line-height: 2;
}
#main .post-content a {
  text-decoration: underline;
}
#main .post-content img {
  display: block;
}
#main .post-content figure {
  margin: 0;
  padding: 0;
}
#main .post-content figcaption {
  font-size: 0.9em;
  color: rgba(51, 51, 51, 0.7);
  margin: 0.5em 0 0;
}
#main .post-content .has-text-align-center {
  text-align: center !important;
}
#main .post-content .has-text-align-left {
  text-align: left !important;
}
#main .post-content .has-text-align-right {
  text-align: right !important;
}
#main .post-content .has-small-font-size {
  font-size: 0.8em;
}
#main .post-content .has-normal-font-size {
  font-size: 1em;
}
#main .post-content .has-medium-font-size {
  font-size: 1.1em;
}
#main .post-content .has-large-font-size {
  font-size: 1.2em;
}
#main .post-content .has-huge-font-size {
  font-size: 1.5em;
}
#main .post-content .has-drop-cap:not(:focus):first-letter {
  float: left;
  font-size: 4em;
  line-height: 0.68;
  font-weight: normal;
  margin: 0.15em 0.05em 0 0;
}
#main .post-content h1 {
  font-size: 2em;
}
#main .post-content h2 {
  font-size: 1.75em;
}
#main .post-content h3 {
  font-size: 1.25em;
  background: #000000;
  padding: 0.5em;
  color: #fff;
}
#main .post-content h4 {
  font-size: 1.25em;
  padding: 0.5em 0 0.5em 0.75em;
  background-color: rgba(179, 179, 179, 0.075);
}
#main .post-content h4:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0.25em;
  height: 100%;
  background-color: #000000;
}
#main .post-content h5 {
  font-size: 1.2em;
  padding-left: 1em;
  color: #1a1a1a;
}
#main .post-content h5:before {
  content: "";
  position: absolute;
  top: calc(50% - 0.25em);
  left: 0;
  width: 0.5em;
  height: 0.5em;
  background-color: #1a1a1a;
}
#main .post-content h6 {
  font-size: 1.05em;
  padding-left: 0.75em;
}
#main .post-content h6:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0.25em;
  height: 100%;
  background-color: #737373;
}
#main .post-content .wp-block-quote {
  margin: 1rem auto;
  padding: 1.25em;
  background-color: #d9d9d9;
  border-left: 4px solid rgba(0, 0, 0, 0.5);
  font-style: italic;
  color: rgba(51, 51, 51, 0.8);
}
#main .post-content .wp-block-quote p {
  margin: 0;
}
#main .post-content .wp-block-quote cite {
  display: block;
  font-size: 0.85em;
  font-style: normal;
  margin-top: 0.75em;
  line-height: 1.75;
}
#main .post-content .wp-block-quote.is-style-large p {
  font-size: 1.25em;
  line-height: 1.9;
}
#main .post-content .wp-block-table {
  margin: 1rem auto;
  overflow-x: auto;
}
#main .post-content .wp-block-table table {
  /*&.has-fixed-layout {
                @include mq-min(md) {
                    table-layout: fixed;
                }
            }*/
}
#main .post-content .wp-block-table table tr > th, #main .post-content .wp-block-table table tr > td {
  border: 1px solid #e3e3e3;
  border-left-style: dashed;
  border-right-style: dashed;
  /*word-break: break-word;
                white-space: nowrap;
                text-align: left;
                border-right: none;*/
}
#main .post-content .wp-block-table table tr > th:first-child, #main .post-content .wp-block-table table tr > td:first-child {
  border-left: none;
}
#main .post-content .wp-block-table table tr > th:last-child, #main .post-content .wp-block-table table tr > td:last-child {
  border-right: none;
}
#main .post-content .wp-block-table table tr th {
  background-color: #f5f5f5;
}
#main .post-content .wp-block-table table thead tr th {
  background-color: #000000;
  border-color: #1a1a1a;
  border-top: none;
  border-bottom: none;
  color: #fff;
}
#main .post-content .wp-block-table table thead + tbody > tr:first-child > th, #main .post-content .wp-block-table table thead + tbody > tr:first-child > td {
  border-top: none;
}
#main .post-content .wp-block-table table tfoot tr > th, #main .post-content .wp-block-table table tfoot tr > td {
  border-top: 3px double #d6d6d6;
  border-bottom: none;
}
#main .post-content .wp-block-table figcaption {
  text-align: left;
}
#main .post-content .wp-block-table.is-style-stripes table tbody tr th {
  background-color: transparent;
}
#main .post-content .wp-block-table.is-style-stripes table tbody tr:nth-child(odd) {
  background-color: #f5f5f5;
}
#main .post-content .wp-block-image {
  margin: 1rem auto;
  position: relative;
  padding: 50% 0 0;
  /* 寄せは調整が困難なため使用しない
        &.alignleft{
            float: left;
            margin-right: 1em;
        }
        &.alignright{
            float: right;
            margin-left: 1em;
        }
        &.alignrcenter{
            margin-left: auto;
            margin-right: auto;
        }*/
}
#main .post-content .wp-block-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#main .post-content .wp-block-image figcaption {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  padding: 0.5em !important;
  font-size: 0.9em;
  line-height: 1.4;
  color: #fff;
  text-align: center;
  background: rgba(0, 0, 0, 0.5) !important;
  grid-column: 1;
}
#main .post-content .wp-block-image.is-style-rounded {
  overflow: hidden;
  border-radius: 9999px;
}
#main .post-content .wp-block-image.is-style-rounded figcaption {
  text-align: center;
}
#main .post-content .wp-block-gallery {
  margin: 1rem 0;
  display: grid !important;
  grid-gap: 10px;
  /*
        &.has-nested-images {
            *display: flex;
            flex-wrap: wrap;
            margin: -5px;
            
            @include mq-min(md) {
                margin: -10px;
            }

            .wp-block-image {
                padding: 5px;
                margin: 0 !important;

                @include mq-min(md) {
                    padding: 10px;
                }
                
                padding:100% 0 0;

                a,
                div:first-child {
                    display: block;
                    position: relative;
                    margin: 0;
                    padding: 100% 0 0;

                    img {
                        position: absolute;
                        top: 0;
                        left: 0;
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }

                figcaption {
                    position: absolute;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    padding: 0.5em;
                    font-size: 0.9em;
                    color: $c-WH;
                    background: rgba($c-m01, 0.5);
                
                    @include mq-min(md) {
                        left: 10px;
                        bottom: 10px;
                        width: calc(100% - 20px);
                    }
                }
            }
        }
        @for $i from 1 through 6 {
            &.columns-#{$i} {
                .wp-block-image {
                    $num: 100% / $i;
                    -ms-flex: 0 0 #{$num};
                    flex: 0 0 #{$num};
                    max-width: $num;
                }
            }
        }*/
}
#main .post-content .wp-block-gallery .wp-block-image {
  margin: 0;
  padding-top: 100%;
}
#main .post-content .wp-block-gallery.columns-default {
  grid-template-columns: repeat(3, 1fr);
}
#main .post-content .wp-block-gallery.columns-default .blocks-gallery-caption {
  grid-column: span 3;
}
#main .post-content .wp-block-gallery.columns-1 {
  grid-template-columns: repeat(1, 1fr);
}
#main .post-content .wp-block-gallery.columns-1 .blocks-gallery-caption {
  grid-column: span 1;
}
#main .post-content .wp-block-gallery.columns-2 {
  grid-template-columns: repeat(2, 1fr);
}
#main .post-content .wp-block-gallery.columns-2 .blocks-gallery-caption {
  grid-column: span 2;
}
#main .post-content .wp-block-gallery.columns-3 {
  grid-template-columns: repeat(3, 1fr);
}
#main .post-content .wp-block-gallery.columns-3 .blocks-gallery-caption {
  grid-column: span 3;
}
#main .post-content .wp-block-gallery.columns-4 {
  grid-template-columns: repeat(4, 1fr);
}
#main .post-content .wp-block-gallery.columns-4 .blocks-gallery-caption {
  grid-column: span 4;
}
#main .post-content .wp-block-gallery.columns-5 {
  grid-template-columns: repeat(5, 1fr);
}
#main .post-content .wp-block-gallery.columns-5 .blocks-gallery-caption {
  grid-column: span 5;
}
#main .post-content .wp-block-gallery.columns-6 {
  grid-template-columns: repeat(6, 1fr);
}
#main .post-content .wp-block-gallery.columns-6 .blocks-gallery-caption {
  grid-column: span 6;
}
#main .post-content .wp-block-gallery .blocks-gallery-caption {
  padding: 0 5px;
  width: 100%;
  text-align: center;
}
@media print, screen and (min-width: 768px) {
  #main .post-content .wp-block-gallery .blocks-gallery-caption {
    padding: 0 10px;
  }
}
#main .post-content .wp-block-gallery .blocks-gallery-grid {
  display: flex;
  flex-wrap: wrap;
  list-style-type: none;
  padding: 0;
  margin: -5px;
}
@media print, screen and (min-width: 768px) {
  #main .post-content .wp-block-gallery .blocks-gallery-grid {
    margin: -10px;
  }
}
#main .post-content .wp-block-gallery .blocks-gallery-grid .blocks-gallery-item {
  padding: 5px;
  margin: 0;
}
@media print, screen and (min-width: 768px) {
  #main .post-content .wp-block-gallery .blocks-gallery-grid .blocks-gallery-item {
    padding: 10px;
  }
}
#main .post-content .wp-block-gallery .blocks-gallery-grid .blocks-gallery-item figure {
  position: relative;
  margin: 0;
  padding: 100% 0 0;
}
#main .post-content .wp-block-gallery .blocks-gallery-grid .blocks-gallery-item figure img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#main .post-content .wp-block-gallery .blocks-gallery-grid .blocks-gallery-item figure figcaption {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  padding: 0.5em;
  font-size: 0.9em;
  color: #fff;
  background: rgba(0, 0, 0, 0.5);
}
#main .post-content .wp-block-gallery.columns-1 .blocks-gallery-item {
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%;
}
#main .post-content .wp-block-gallery.columns-2 .blocks-gallery-item {
  -ms-flex: 0 0 50%;
  flex: 0 0 50%;
  max-width: 50%;
}
#main .post-content .wp-block-gallery.columns-3 .blocks-gallery-item {
  -ms-flex: 0 0 33.3333333333%;
  flex: 0 0 33.3333333333%;
  max-width: 33.3333333333%;
}
#main .post-content .wp-block-gallery.columns-4 .blocks-gallery-item {
  -ms-flex: 0 0 25%;
  flex: 0 0 25%;
  max-width: 25%;
}
#main .post-content .wp-block-gallery.columns-5 .blocks-gallery-item {
  -ms-flex: 0 0 20%;
  flex: 0 0 20%;
  max-width: 20%;
}
#main .post-content .wp-block-gallery.columns-6 .blocks-gallery-item {
  -ms-flex: 0 0 16.6666666667%;
  flex: 0 0 16.6666666667%;
  max-width: 16.6666666667%;
}
#main .post-content .wp-block-file {
  margin: 1rem auto;
}
#main .post-content .wp-block-file a {
  text-decoration: none;
}
#main .post-content .wp-block-file .wp-block-file__button {
  background: #000000;
  border-radius: 2em;
  color: #fff;
  padding: 0.5em 1em;
  margin-left: 0.75em;
}
#main .post-content .wp-block-buttons {
  margin: 0.75em -0.25em;
  text-align: left;
}
#main .post-content .wp-block-buttons a {
  text-decoration: none;
}
#main .post-content .wp-block-buttons .wp-block-button {
  display: inline-block;
  margin: 0.25em;
}
#main .post-content .wp-block-buttons .wp-block-button .wp-block-button__link {
  display: inline-block;
  background: #000000;
  border: 2px solid #000000;
  border-radius: 2em;
  font-size: 1em;
  color: #fff;
  padding: 0.5em 1.5em;
}
#main .post-content .wp-block-buttons .wp-block-button .wp-block-button__link.no-border-radius {
  border-radius: 0;
}
#main .post-content .wp-block-buttons .wp-block-button.is-style-outline .wp-block-button__link {
  background: none;
  color: #000000;
}
#main .post-content .wp-block-buttons .wp-block-button.is-style-outline .wp-block-button__link:hover {
  background-color: #000000;
  color: #fff;
}
#main .post-content .wp-block-embed.alignleft, #main .post-content .wp-block-embed.alignright, #main .post-content .wp-block[data-align=left] > [data-type="core/embed"], #main .post-content .wp-block[data-align=right] > [data-type="core/embed"] {
  min-width: 100%;
}
#main .post-content .wp-block-embed-youtube .wp-block-embed__wrapper {
  position: relative;
  padding-top: 56.25%;
}
#main .post-content .wp-block-embed-youtube .wp-block-embed__wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
#main .post-content > *:last-child {
  margin-bottom: 0;
}
#main .post-nav {
  list-style: none;
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  justify-content: space-between;
  font-size: 0.9em;
  padding: 1em 0;
  border-top: 1px solid rgba(51, 51, 51, 0.1);
  border-bottom: 1px solid rgba(51, 51, 51, 0.1);
  margin-top: 1.5em;
}
@media print, screen and (min-width: 1200px) {
  #main .post-nav {
    margin-top: 3em;
  }
}
